#mostra l'impossibilità di usare == per confrontare reali

from math import *
x=sqrt(2)

print('x=sqrt(2)',x)

if x**2==2:
    print(x,'è la radice quadrata di 2')
else:
    print('usando "x**2==2" ',x,'NON è la radice quadrata di 2');



if abs(x**2-2)<10e-6:
    print('usando "abs(x**2-2)<epsilon" ', x,'è la radice quadrata di 2')
else:
    print(x,'NON è la radice quadrata di 2');
  
